#!/bin/sh
#
#ap_install.commmand
#
#
#SETI@home AstroPulse installer 
#
#Installs the optimzed SETI@home AstroPulse application into the default Mac OSX
#SETI@home project directory
#
#
#V.1.0, 22.11.2008, Lars Bausch
#V.1.0b, 30.12.2009, adapted by lunatics porting team (10.5+ 64bit beta AP app)
#V.1.0c, 12.01.2010, adapted by lunatics porting team (10.4+ 32bit beta AP app)

AP_VERSION="5.06r237_OSX32"
DEST="/Library/Application*Support/BOINC*Data/projects/setiathome.berkeley.edu"
SOURCE="`echo $0 |sed s/ap_install.command// `"

clear
echo "                   SETI@home optimized Astropulse installer"
echo ""
echo ""
echo "This script will install an optimized Astropulse $AP_VERSION on your system."
echo ""
echo "Please stop the boinc client before you install the optimized Astropulse application !"
echo ""
echo "BOINC client stopped (y) ? \c"
read CONT

if  [ "$CONT" != "y" ]; then
	echo "Aborting installation..."
	echo ""
	exit 1
fi

echo ""
echo "The installation uses sudo to install the files with correct permissions set."
echo "Eventually you will be prompted for a password now. This password is your "
echo "own password on your system with your actual account !"
echo ""
sudo ls $DEST > /dev/null 2>&1

echo "" 
echo "Copying files to the BOINC directory..."
sudo mkdir  $DEST 2> /dev/null
cd $SOURCE
sudo cp $SOURCE/app_info.xml $DEST
if  [ "$?" = "0" ]; then
	echo "Copied "app_info.xml" successfull"
 else
	echo "Copying "app_info.xml" not successfull"
fi 
sudo cp $SOURCE/ap_5.06r237_OSX32 $DEST
if  [ "$?" = "0" ]; then
	echo "Copied "ap_5.06r237_OSX32" successful"
 else
	echo "Copying "ap_5.06r237_OSX32" not successful"
fi 

echo ""
echo "Setting permissions of the SETI@home projects directory..."
sudo chown -R boinc_master:boinc_project $DEST
if  [ "$?" = "0" ]; then
	echo "Set permissions successful"
 else
	echo "Set permissions not successful"
fi 

echo ""
echo "Optimzed Astropulse application installation has finished."
echo " Please restart your BOINC client now ! "
echo ""

